
D4Science Infrastructure - Task #5227

Task # 3475 (Closed): Add 2 OrientDB instances

Enable SSL on the orientdb instances

Sep 29, 2016 12:58 PM - Andrea Dell'Amico

Status: Closed Start date: Sep 29, 2016

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Dev Resource Registry Deployment   

Infrastructure: Development   

Description

See http://orientdb.com/docs/2.2.x/Using-SSL-with-OrientDB.html

Related issues:

Blocks D4Science Infrastructure - VM Creation #6849: Create an OrientDB clust... Closed Feb 02, 2017 Feb 10, 2017

History

#1 - Feb 21, 2017 04:17 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Feb 21, 2017 07:23 PM - Andrea Dell'Amico

- % Done changed from 0 to 50

I'm ready to test the configuration that enables SSL. The keystore is already in place and the configuration template has been modified.

@luca.frosini@isti.cnr.it when are you available to test the new settings?

#3 - Feb 23, 2017 12:33 PM - Andrea Dell'Amico

- % Done changed from 50 to 90

The configuration is under test.

#4 - Mar 21, 2017 07:30 PM - Andrea Dell'Amico

- Blocks VM Creation #6849: Create an OrientDB cluster for production added

#5 - Mar 22, 2017 07:28 PM - Andrea Dell'Amico

@luca.frosini@isti.cnr.it is it working?

#6 - Mar 23, 2017 10:16 AM - Luca Frosini

It works, but you told me that you are not sure that everything is passing along a secure connection.

#7 - Mar 23, 2017 12:07 PM - Andrea Dell'Amico

Luca Frosini wrote:

It works, but you told me that you are not sure that everything is passing along a secure connection.

 Something needs to go on plain http and we discovered it when we closed the http ports.

But does the clients traffic go over https?

You can check it easily with tcpdump or even watching the firewall counters:

iptables -nvL reports the traffic for each rule, so if the counters associated to the https ports increase, clients use them.

With tcpdump you can use the command

tcpdump -i any -e -n host <your client IP> to intercept all the traffic from one client. This way you can have a complete scenario. The command must

be run on all the orientdb servers.
#8 - Mar 24, 2017 06:50 PM - Luca Frosini

tcpdump -i any -e -n host 146.48.122.34

 produces the following lines:

18:48:31.432486 Out 00:16:3e:17:af:b0 ethertype IPv4 (0x0800), length 403: 146.48.122.23.2424 > 146.48.122.34.

48041: Flags [P.], seq 149364:149699, ack 309239, win 661, options [nop,nop,TS val 2256673866 ecr 4021859881],

 length 335

#9 - Mar 24, 2017 06:59 PM - Andrea Dell'Amico

Port 2424 is the plain http one. So there's something that is not working correctly.

#10 - Apr 18, 2017 05:37 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The configuration is correct, the documentation says.
